Subject: Re: bug#5282: Defaults for grep interface

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 03 Jun 2021 11:24:46 +0200

Jon Strait <[email-masked]> writes:

> Many things here are inconsistent in the grep interface. The
> interactive lgrep and rgrep commands have a default using the basic RE
> format, while the grep command's default uses an extended RE
> format.

(I'm going through old bug reports that unfortunately got no response at
the time.)

Looking at this in Emacs 28, as far as I can tell, all these commands
default to using the same basic/extended settings now, but I may be
looking at the wrong thing here.  Are you still seeing these issues in
recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no